[LOCKED] ALPHA Testing - issues and feedback here

Posted on
Fri Aug 26, 2016 6:41 am
Chameleon offline
Posts: 611
Joined: Oct 04, 2014

[LOCKED] ALPHA Testing - issues and feedback here

Hi all

Please post all feedback, questions, issues, challenges and feature requests here.

You can also leave nice messages as motivation :D

Mike

Posted on
Fri Aug 26, 2016 7:51 am
durosity offline
User avatar
Posts: 3812
Joined: May 10, 2012
Location: Newcastle Upon Tyne, Ye Ol' England.

Re: ALPHA Testing - please post all issues and feedback here

Alas I have the dubious honour of reporting the first issue, but in all fairness it's not you.. it's me! I can't seem to get pip to work. Even try to run the --upgrade pip command fails. I'm getting the following error using both pip and pip2.6 (none of the others work, I'm guessing because I'm missing prerequisites for it but I know I've used PIP recently for something else):

Code: Select all
  aardvark:~ Mike$ sudo pip install PILLOW
DEPRECATION: Python 2.6 is no longer supported by the Python core team, please upgrade your Python. A future version of pip will drop support for Python 2.6
The directory '/Users/Mike/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/Users/Mike/Library/Caches/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Collecting PILLOW
/Library/Python/2.6/site-packages/pip-8.1.1-py2.6.egg/pip/_vendor/requests/packages/urllib3/util/ssl_.py:315: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#snimissingwarning.
  SNIMissingWarning
/Library/Python/2.6/site-packages/pip-8.1.1-py2.6.egg/pip/_vendor/requests/packages/urllib3/util/ssl_.py:120: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
  Downloading Pillow-3.3.1.zip (10.8MB)
    100% |████████████████████████████████| 10.8MB 76kB/s
Installing collected packages: PILLOW
  Running setup.py install for PILLOW ... error
    Complete output from command /System/Library/Frameworks/Python.framework/Versions/2.6/Resources/Python.app/Contents/MacOS/Python -u -c "import setuptools, tokenize;__file__='/private/tmp/pip-build-qG8cBu/PILLOW/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-E_djiM-record/install-record.txt --single-version-externally-managed --compile:
    running install
    running build
    running build_py
    creating build
    creating build/lib.macosx-10.11-intel-2.6
    creating build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/__init__.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/_binary.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/_tkinter_finder.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/_util.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/BdfFontFile.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/BmpImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/BufrStubImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ContainerIO.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/CurImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/DcxImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/DdsImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/EpsImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ExifTags.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/features.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/FitsStubImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/FliImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/FontFile.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/FpxImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/FtexImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/GbrImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/GdImageFile.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/GifImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/GimpGradientFile.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/GimpPaletteFile.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/GribStubImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/Hdf5StubImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/IcnsImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/IcoImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/Image.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageChops.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageCms.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageColor.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageDraw.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageDraw2.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageEnhance.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageFile.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageFilter.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageFont.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageGrab.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageMath.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageMode.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageMorph.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageOps.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImagePalette.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImagePath.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageQt.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageSequence.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageShow.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageStat.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageTk.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageTransform.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImageWin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/ImtImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/IptcImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/Jpeg2KImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/JpegImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/JpegPresets.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/McIdasImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/MicImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/MpegImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/MpoImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/MspImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/OleFileIO.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/PaletteFile.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/PalmImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/PcdImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/PcfFontFile.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/PcxImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/PdfImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/PixarImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/PngImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/PpmImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/PsdImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/PSDraw.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/PyAccess.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/SgiImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/SpiderImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/SunImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/TarIO.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/TgaImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/TiffImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/TiffTags.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/WalImageFile.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/WebPImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/WmfImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/XbmImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/XpmImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    copying PIL/XVThumbImagePlugin.py -> build/lib.macosx-10.11-intel-2.6/PIL
    running egg_info
    writing Pillow.egg-info/PKG-INFO
    writing top-level names to Pillow.egg-info/top_level.txt
    writing dependency_links to Pillow.egg-info/dependency_links.txt
    warning: manifest_maker: standard file '-c' not found
    reading manifest file 'Pillow.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    warning: no files found matching '*.sh'
    no previously-included directories found matching 'docs/_static'
    warning: no previously-included files found matching '.coveragerc'
    warning: no previously-included files found matching '.editorconfig'
    warning: no previously-included files found matching '.landscape.yaml'
    warning: no previously-included files found matching 'appveyor.yml'
    warning: no previously-included files found matching 'build_children.sh'
    warning: no previously-included files found matching 'tox.ini'
    warning: no previously-included files matching '.git*' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.so' found anywhere in distribution
    writing manifest file 'Pillow.egg-info/SOURCES.txt'
    copying PIL/OleFileIO-README.md -> build/lib.macosx-10.11-intel-2.6/PIL
    running build_ext
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/private/tmp/pip-build-qG8cBu/PILLOW/setup.py", line 753, in <module>
        zip_safe=not debug_build(), )
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/core.py", line 152, in setup
        dist.run_commands()
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 975, in run_commands
        self.run_command(cmd)
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 995, in run_command
        cmd_obj.run()
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/command/install.py", line 56, in run
        return _install.run(self)
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/command/install.py", line 587, in run
        self.run_command('build')
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/cmd.py", line 333, in run_command
        self.distribution.run_command(command)
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 995, in run_command
        cmd_obj.run()
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/command/build.py", line 134, in run
        self.run_command(cmd_name)
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/cmd.py", line 333, in run_command
        self.distribution.run_command(command)
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 995, in run_command
        cmd_obj.run()
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/command/build_ext.py", line 340, in run
        self.build_extensions()
      File "/private/tmp/pip-build-qG8cBu/PILLOW/setup.py", line 521, in build_extensions
        ' using --disable-%s, aborting' % (f, f))
    ValueError: jpeg is required unless explicitly disabled using --disable-jpeg, aborting
   
    ----------------------------------------
Command "/System/Library/Frameworks/Python.framework/Versions/2.6/Resources/Python.app/Contents/MacOS/Python -u -c "import setuptools, tokenize;__file__='/private/tmp/pip-build-qG8cBu/PILLOW/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-E_djiM-record/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /private/tmp/pip-build-qG8cBu/PILLOW/
You are using pip version 8.1.1, however version 8.1.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
aardvark:~ Mike$



Now I'm thinking reinstalling pip might work.. but before rushing off to do that (which I have little knowledge of.. a dangerous thing!) I thought I better make sure nothing obvious isn't causing the problem.

(And yes my server name is Aardvark. Don't laugh at it.. she's very sensitive!)

Computer says no.

Posted on
Fri Aug 26, 2016 7:58 am
durosity offline
User avatar
Posts: 3812
Joined: May 10, 2012
Location: Newcastle Upon Tyne, Ye Ol' England.

Re: ALPHA Testing - please post all issues and feedback here

whoo I fixed it myself! aren't I a smartypants?

(in case anyone has the same I reinstalled pip by running "sudo easy_install pip"

Computer says no.

Posted on
Fri Aug 26, 2016 8:00 am
Chameleon offline
Posts: 611
Joined: Oct 04, 2014

Re: ALPHA Testing - please post all issues and feedback here

Hi

That's why we have to Alpha test....

Read this and tell me if it works:

http://stackoverflow.com/questions/36563613/python-pillow-not-installing-under-osx

It seems simple enough to change....

Mike

Posted on
Fri Aug 26, 2016 8:02 am
Chameleon offline
Posts: 611
Joined: Oct 04, 2014

Re: ALPHA Testing - please post all issues and feedback here

durosity wrote:
whoo I fixed it myself! aren't I a smartypants?

(in case anyone has the same I reinstalled pip by running "sudo easy_install pip"


Impressed - you found it in the same time it took me to find another, more complicated I admit, solution..

Follow durosity's approach!

Posted on
Fri Aug 26, 2016 8:06 am
durosity offline
User avatar
Posts: 3812
Joined: May 10, 2012
Location: Newcastle Upon Tyne, Ye Ol' England.

Re: ALPHA Testing - please post all issues and feedback here

And here was me thinking I was being so smart.. (whew... this has been an emotional rollercoaster and I'm only 5 mins in!)

So installing the plugin comes up with an error:

Code: Select all
  iTravel                         You must install nredarwin before using this plugin - check forum for details
  iTravel Error                   Error in plugin execution InitializeMain:

Traceback (most recent call last):
  File "plugin.py", line 53, in <module>
SystemExit: 0


nredarwin doesn't appear anywhere in the documentation as far as I can tell nor this forum.. but using the powers of DuckDuckGo I found:

https://github.com/robert-b-clarke/nre-darwin-py

and attempted to install it using the command on that page. alas no joy..

Code: Select all
aardvark:~ Mike$ sudo pip install nre-darwin-py
Password:
The directory '/Users/Mike/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/Users/Mike/Library/Caches/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Collecting nre-darwin-py
  Downloading nre-darwin-py-0.2.0.tar.gz
Collecting suds-jurko (from nre-darwin-py)
  Downloading suds-jurko-0.6.tar.bz2 (143kB)
    100% |████████████████████████████████| 153kB 2.1MB/s
    Complete output from command python setup.py egg_info:
    The required version of setuptools (>=1.4) is not available,
    and can't be installed while this script is running. Please
    install a more recent version first, using
    'easy_install -U setuptools'.
   
    (Currently using setuptools 1.1.6 (/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python))
   
    ----------------------------------------
Command "python setup.py egg_info" failed with error code 2 in /private/tmp/pip-build-vnq0hN/suds-jurko/


Now I'm noticing there it's using python 2.7 and we need 2.6 don't we? Is that a red herring.. or if not how do we change it?

Computer says no.

Posted on
Fri Aug 26, 2016 8:44 am
Chameleon offline
Posts: 611
Joined: Oct 04, 2014

Re: ALPHA Testing - please post all issues and feedback here

durosity wrote:
And here was me thinking I was being so smart.. (whew... this has been an emotional rollercoaster and I'm only 5 mins in!)

So installing the plugin comes up with an error:

Code: Select all
  iTravel                         You must install nredarwin before using this plugin - check forum for details
  iTravel Error                   Error in plugin execution InitializeMain:

Traceback (most recent call last):
  File "plugin.py", line 53, in <module>
SystemExit: 0


nredarwin doesn't appear anywhere in the documentation as far as I can tell nor this forum.. but using the powers of DuckDuckGo I found:

https://github.com/robert-b-clarke/nre-darwin-py

and attempted to install it using the command on that page. alas no joy..

Code: Select all
aardvark:~ Mike$ sudo pip install nre-darwin-py
Password:
The directory '/Users/Mike/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/Users/Mike/Library/Caches/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Collecting nre-darwin-py
  Downloading nre-darwin-py-0.2.0.tar.gz
Collecting suds-jurko (from nre-darwin-py)
  Downloading suds-jurko-0.6.tar.bz2 (143kB)
    100% |████████████████████████████████| 153kB 2.1MB/s
    Complete output from command python setup.py egg_info:
    The required version of setuptools (>=1.4) is not available,
    and can't be installed while this script is running. Please
    install a more recent version first, using
    'easy_install -U setuptools'.
   
    (Currently using setuptools 1.1.6 (/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python))
   
    ----------------------------------------
Command "python setup.py egg_info" failed with error code 2 in /private/tmp/pip-build-vnq0hN/suds-jurko/


Now I'm noticing there it's using python 2.7 and we need 2.6 don't we? Is that a red herring.. or if not how do we change it?



It shouldn't matter (I'm actually using 2.6) - and I've actually included that module in the package. Can you check using this SPECIAL version: It will print out the Pypath when you first run the software and before it falls over. This is how it finds the module. This should install as version 0.2.06

https://www.dropbox.com/s/kwwzggefdpjyeee/iTravel.indigoPlugin%20py.zip?dl=0

Can you cut and paste the WHOLE PyPath response?

Regards

Mike

Posted on
Fri Aug 26, 2016 11:34 am
durosity offline
User avatar
Posts: 3812
Joined: May 10, 2012
Location: Newcastle Upon Tyne, Ye Ol' England.

Re: ALPHA Testing - please post all issues and feedback here

I'll do it when I get home!

Computer says no.

Posted on
Sat Aug 27, 2016 10:30 am
Chameleon offline
Posts: 611
Joined: Oct 04, 2014

Re: ALPHA Testing - please post all issues and feedback here

durosity wrote:
I'll do it when I get home!


Hey

I think that Martin and I got to the bottom of the issue today. It's working on his system and I've updated the installation process. You should read this process to get you started. I'll be updating the manual soon.

Check out... http://forums.indigodomo.com/viewtopic.php?f=171&t=16723

Regards

Mike

Posted on
Sat Aug 27, 2016 11:27 am
durosity offline
User avatar
Posts: 3812
Joined: May 10, 2012
Location: Newcastle Upon Tyne, Ye Ol' England.

Re: ALPHA Testing - please post all issues and feedback here

Super! Sorry I wasn't able to test it myself. Got called away to Glasgow on short notice! (Ironically taking the train home on Sunday.. woulda been nice to test it with :p )

Computer says no.

Page 1 of 1

Who is online

Users browsing this forum: No registered users and 0 guests